package com.kym.service.miniapp;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kym.entity.admin.queryParams.CustomChargeOrdersQueryParam;
import com.kym.entity.admin.queryParams.StatQueryParam;
import com.kym.entity.admin.vo.CustomOrderVo;
import com.kym.entity.admin.vo.StationStatVo;
import com.kym.entity.common.PageBean;
import com.kym.entity.miniapp.ChargeOrder;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 充电订单表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-08-08
 */
public interface ChargeOrderService extends IService<ChargeOrder> {

    ChargeOrder getChargingOrderByUserId(Long userId);

    ChargeOrder getChargingOrderByStartChargeSeq(String startChargeSeq);

    PageBean<CustomOrderVo> customChargeOrders(CustomChargeOrdersQueryParam params);

    Object orderDetail(String startChargeSeq);

    ChargeOrder orderDetailForApp(String startChargeSeq);

    PageBean<StationStatVo> stationStat(StatQueryParam params);

    Map<String, Object> stationTodayStat();

    List<ChargeOrder> getChargeOrdersBySeqs(String[] startChargeSeqs);
}
